Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.agletx.util
Class MeetingTask

    java.lang.Object
      |
      +--com.ibm.agletx.util.Task
            |
            +--com.ibm.agletx.util.MeetingTask

All Implemented Interfaces:
  java.io.Serializable

public abstract class MeetingTask
extends Task

This class objectifies a task to be perform upon arrival to a meeting.

Version:
  1.20 $Date: 2001/07/28 06:33:38 $
Author:
  Yariv Aridor
See Also:
  `MeetingsItinerary`, Serialized Form

Constructor Summary
`MeetingTask(Meeting meeting)`

Method Summary
`void` | `execute(SeqItinerary itin)` Aglet programers should not modify this method
`abstract void` | `execute(SeqItinerary itin, java.util.Enumeration participants)` Define the task to be performed upon arrival to a meeting
`Meeting` | `getMeeting()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeetingTask

    public MeetingTask(Meeting meeting)

Method Detail

### execute

    public void execute(SeqItinerary itin)
                 throws java.lang.Exception

  Aglet programers should not modify this method
  Overrides:
    `execute` in class `Task`

### execute

    public abstract void execute(SeqItinerary itin,
                                 java.util.Enumeration participants)
                          throws java.lang.Exception

  Define the task to be performed upon arrival to a meeting
  Parameters:
    `itin` - the MeetingsItinerary object
    `participants` - enumeration of the current participants in the meeting.
  Throws:
    `java.lang.Exception` - if failed to perform the task

### getMeeting

    public Meeting getMeeting()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD